%define pkg_name yoctopuce
%define pkg_summary Yoctopuce python API
%define debug_package %{nil}

Name:           python-%{pkg_name}
Version:        1.10.49822
Release:        1%{?dist}
Summary:        %{pkg_summary}

License:        Yoctopuce
URL:            https://www.yoctopuce.com
# pip3 download yoctopuce
Source0:        %{pkg_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{pkg_summary}

%package -n python3-%{pkg_name}
Summary:        %{pkg_summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{pkg_summary}

%prep
%autosetup -n %{pkg_name}-%{version} -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

# remove all libraries to avoid creating bogus dependencies
rm -rfv $RPM_BUILD_ROOT/%{python3_sitelib}/%{pkg_name}/cdll/*

# i386
%ifarch %ix86
cp %{pkg_name}/cdll/libyapi-i386.so $RPM_BUILD_ROOT/%{python3_sitelib}/%{pkg_name}/cdll/
%endif

# x86_64
%ifarch x86_64 amd64 ia32e
cp %{pkg_name}/cdll/libyapi-amd64.so $RPM_BUILD_ROOT/%{python3_sitelib}/%{pkg_name}/cdll/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{pkg_name}
%{python3_sitelib}/*

%changelog
